| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.par Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.par:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.par:
[legend]

## Public Member Functions
def | __init__ (self, item)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

Definition at line 156 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.par.__init__ | ( |  | self,
|  |  | item
| ) |  |

Definition at line 157 of file ControlFlow.py.

157 def __init__(self, item):
158 self.item = item
159
GaudiConfig.ControlFlow.par.__init__
def __init__(self, item)
Definition: ControlFlow.py:157
GaudiConfig.ControlFlow.par.item
item
Definition: ControlFlow.py:158

## Member Function Documentation

def GaudiConfig.ControlFlow.par.__repr__ | ( |  | self | ) |

Definition at line 160 of file ControlFlow.py.

160 def __repr__(self):
161 return "par(%r)" % self.item
162
GaudiConfig.ControlFlow.par.item
item
Definition: ControlFlow.py:158
GaudiConfig.ControlFlow.par.__repr__
def __repr__(self)
Definition: ControlFlow.py:160

def GaudiConfig.ControlFlow.par._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 163 of file ControlFlow.py.

163 def _visitSubNodes(self, visitor):
164 self.item.visitNode(visitor)
165
166
GaudiConfig.ControlFlow.par._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:163

## Member Data Documentation

GaudiConfig.ControlFlow.par.item

Definition at line 158 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py